package checkStore;

import android.content.Context;
import android.text.TextUtils;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;

@Author(value = "Jem Miller")
@Version(value=1.00f)
@ShortName(value="CheckStore")
public class CheckVendor {

	/**
	 * Returns the store name that the .apk was downloaded from.
	 * 
	 * Returns the string PIRATE VERSION if no store ID is found.
	 */
	public static String getInstaller(BA ba) {
		Context context = BA.applicationContext;
		String installer = "";
		
	    try {
	        installer = context.getPackageManager().getInstallerPackageName(context.getPackageName());
	        
	        if(installer == null || installer == "")
	        	installer = "PIRATE VERSION";
	        
	    } catch (Throwable e) { 
	    }
	   
		return installer;
	}
	
	/**
	 * Returns True if the package is signed by an app store such as Google or Amazon, and False otherwise.
	 * 
	 */
	public static boolean isLegit(BA ba) {
		Context context = BA.applicationContext;
		
	    boolean result = false;

	    try {
	        String installer = context.getPackageManager().getInstallerPackageName(context.getPackageName());
	        result = !TextUtils.isEmpty(installer);
	    } catch (Throwable e) { 
	    }

	    return result;
	}
}
